package com.njcn.device.terminal.service;

import com.njcn.device.pq.pojo.param.PqsParam;
import com.njcn.device.pq.pojo.param.TerminalMainQueryParam;
import com.njcn.device.pq.pojo.param.TerminalParam;
import com.njcn.device.pq.pojo.vo.LineFlowMealDetailVO;
import com.njcn.device.pq.pojo.vo.TerminalDaliyFlowVO;
import com.njcn.device.pq.pojo.vo.TerminalMaintainVO;

import java.util.List;

/**
 * pqs
 *
 * @author cdf
 * @date 2022/5/11
 */
public interface TerminalMaintainService {

    /**
     * 查询终端运维主界面列表
     * @author cdf
     * @date 2022/5/11
     */
    List<TerminalMaintainVO> getTerminalMainList(TerminalMainQueryParam terminalMainQueryParam);


    /**
     * 0,终端状态管理,1.流量管理，2.流量策略管理主界面
     * @author cdf
     * @date 2022/5/11
     */
    List<TerminalMaintainVO> getManageList(List<String> ids,Integer type);

    /**
     * 修改终端参数
     * @author cdf
     * @date 2022/5/12
     */
    boolean updateRunFlagManage(TerminalParam terminalParam);

    /**
     * 修改终端流量
     * @author cdf
     * @date 2022/5/12
     */
    boolean updateFlowMeal(TerminalParam terminalParam);

    /**
     * 修改终端流量策略
     * @author cdf
     * @date 2022/5/12
     */
    boolean updateFlowStrategy(TerminalParam terminalParam);


    List<TerminalDaliyFlowVO> getFlowManageDetail(TerminalMainQueryParam param);

    List<LineFlowMealDetailVO> getMonthFlow(PqsParam deviceInfoParam);
}
